Deposit Address
curl --request GET \
--url https://api-bluvo.com/v0/wallet/deposit/address \
--header 'x-bluvo-api-key: <api-key>' \
--header 'x-bluvo-org-id: <api-key>' \
--header 'x-bluvo-project-id: <api-key>' \
--header 'x-bluvo-wallet-id: <api-key>'import requests
url = "https://api-bluvo.com/v0/wallet/deposit/address"
headers = {
"x-bluvo-api-key": "<api-key>",
"x-bluvo-org-id": "<api-key>",
"x-bluvo-project-id": "<api-key>",
"x-bluvo-wallet-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bluvo-api-key': '<api-key>',
'x-bluvo-org-id': '<api-key>',
'x-bluvo-project-id': '<api-key>',
'x-bluvo-wallet-id': '<api-key>'
}
};
fetch('https://api-bluvo.com/v0/wallet/deposit/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
"tag": null,
"tagType": null,
"network": "Bitcoin",
"asset": "BTC",
"exchange": "kraken",
"cached": false,
"fetchedAt": 1700000000000,
"minimum": "0.0001",
"fee": null,
"limit": null,
"canGenerateAddress": true
}{
"error": "Missing required query parameter: network",
"type": "DEPOSIT_NETWORK_REQUIRED"
}{
"error": "Insufficient permissions",
"type": "APIKEY_INSUFFICIENT_PERMISSIONS",
"missing": [
"read",
"deposit"
]
}{
"error": "No existing deposit address found",
"type": "DEPOSIT_ADDRESS_UNAVAILABLE"
}Deposits
Deposit Address
Get or create a deposit address for a specific asset and network (network and asset must follow the same shaped used in the quotation endpoint).
Required API Key Scopes: read, deposit
GET
/
v0
/
wallet
/
deposit
/
address
Deposit Address
Authorizations
Bluvo API Key
Bluvo Organization ID
Bluvo Project ID
Bluvo Wallet ID
Query Parameters
Asset symbol (e.g. BTC, ETH) the same used in quotation endpoint
Network identifier (e.g. Bitcoin, Ethereum) the same used in quotation endpoint
Address reuse policy: reuse_or_create (default), reuse_only, or create_new
Available options:
reuse_or_create, reuse_only, create_new Response
Successful response
Available options:
memo, destinationTag, message, null Was this page helpful?